Summary:          OpenStack Command-line Client
Name:             python-openstackclient
Version:          5.5.0
Release:          3%{?dist}
License:          Apache-2.0
URL:              http://launchpad.net/%{name}
Source0:          https://tarballs.openstack.org/%{name}/%{name}-%{version}.tar.gz

BuildRequires:    git 

BuildArch:        noarch


%description
python-openstackclient is a unified command-line client
for the OpenStack APIs.

%package -n python3-openstackclient
Summary:    OpenStack Command-line Client
BuildRequires:    python3-devel python3-setuptools python3-pbr python3-pip python3-six python3-oslo-i18n
BuildRequires:    python3-oslo-utils python3-requests python3-keystoneclient python3-novaclient
BuildRequires:    python3-cinderclient python3-mock python3-os-client-config python3-cliff python3-simplejson
BuildRequires:    python3-requests-mock python3-babel python3-stestr python3-osc-lib python3-fixtures
BuildRequires:    python3-oslotest python3-reno python3-requestsexceptions python3-openstacksdk python3-ddt
Requires:         python3-pbr python3-openstacksdk python3-oslo-i18n python3-oslo-utils python3-keystoneclient
Requires:         python3-novaclient python3-cinderclient python3-neutronclient python3-six python3-osc-lib
Requires:         python3-cliff python3-stevedore
Requires:         python-openstackclient-lang = %{version}-%{release}

%description -n python3-openstackclient
python-openstackclient is a unified command-line client
for the OpenStack APIs.

%package -n python-openstackclient-doc
Summary:          Documentation for OpenStack Command-line Client
BuildRequires:    python3-sphinx python3-openstackdocstheme python3-sphinxcontrib-apidoc
Requires:         python3-openstackclient = %{version}-%{release}

%description -n python-openstackclient-doc
python-openstackclient is a unified command-line client
for the OpenStack API. This package contains auto-generated
documentation.

%package  -n python-openstackclient-lang
Summary:   Translation files for Openstackclient

%description -n python-openstackclient-lang
Translation files for Openstackclient

%prep
%autosetup -n %{name}-%{version}
rm -rf *requirements.txt

%build
%py3_build
python3 setup.py compile_catalog -d build/lib/openstackclient/locale --domain openstackclient

%install
%py3_install

ln -s openstack %{buildroot}%{_bindir}/openstack-3
export PYTHONPATH=.
sphinx-build -b html doc/source doc/build/html
sphinx-build -b man doc/source doc/build/man
install -p -D -m 644 doc/build/man/openstack.1 %{buildroot}%{_mandir}/man1/openstack.1
rm -fr doc/build/html/.doctrees doc/build/html/.buildinfo doc/build/html/.htaccess

install -d -m 755 %{buildroot}%{_datadir}
rm -f %{buildroot}%{python3_sitelib}/openstackclient/locale/*/LC_*/openstackclient*po
rm -f %{buildroot}%{python3_sitelib}/openstackclient/locale/*pot
mv %{buildroot}%{python3_sitelib}/openstackclient/locale %{buildroot}%{_datadir}/locale
rm -rf %{buildroot}%{python3_sitelib}/openstackclient/locale


%check
export PYTHON=%{__python3}
stestr run


%find_lang openstackclient --all-name


%files -n python3-openstackclient
%license LICENSE
%doc README.rst
%{_bindir}/openstack
%{_bindir}/openstack-3
%{python3_sitelib}/openstackclient
%{python3_sitelib}/*.egg-info
%{_mandir}/man1/openstack.1*

%files -n python-openstackclient-doc
%license LICENSE
%doc doc/build/html

%files -n python-openstackclient-lang -f openstackclient.lang
%license LICENSE

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.5.0-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.5.0-2
- Rebuilt for OpenCloudOS Stream 23.05

* Thu Apr 13 2023 Miaojun Dong <zoedong@tencent.com> - 5.5.0-1
- initial build
